package com.cf.imes.module.executor.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum OrderDeletedEnum {

    DELETED(1, "删除"),
    NOT_DELETED(0, "不删除");

    private final Integer status;
    private String description;

    public boolean equals(Integer status) {
        return this.status .equals(status) ;
    }

    public boolean equals(OrderDeletedEnum enableStatusEnum) {
        return enableStatusEnum != null && enableStatusEnum.status .equals(this.getStatus()) ;
    }
}
